Layout-API

Layout-API

1.3.0OAS 3.0

The Layout API provides the following services:

  • Digital Receipts (Kassenbons/Kassabons),
  • Digital Warranties (Garantiescheine)
  • Account Statements (Cumulus Kontoauszug, Zwei-Monats-Versand)
  • Purchases (Fachmarkt Einkäufe), deprecated

HTTP status codes conform to RFC 7231 sect. 6 and are not listed explicitly.
Any non success response doesn’t contain machine consumable data in the
response body.

API Base URL
  • Server 1:https://api-qual.migros.ch

    URL of upstream

Security
Kong-Api-Key (apiKey)

Kong key-auth authentication

Account-Statement

Collection periods (Sammlungsperioden)

'Each ‘‘collection period’’ is identified by a 5-digit number: 4 digits of the year and 1 digit for the period. Which month belongs to which of the six periods per year is complicated.

This service helps finding the period ID, start- and end-date of the period and whether the account statement is available for the last n periods.’

get
https://api-qual.migros.ch/migros/customers/account-statements/v1/collection-period

Query Parameters

totalinteger

Number of periods with available account statements (flag=1), default is 6 (which corresponds to one year). Often total+1 periods are returned with the most recent having flag=0, indicationg that the account statement (Kontoauszug) is not ready yet.

Default:6

Response

200 application/json

list of collection periods

CollectionPeriodResponse

dateFromstringrequired
dateTostringrequired
flagnumberrequired

1: Accountstatement available for this period. 0: Accountstatemen not yet available.

periodIdnumberrequired
get/migros/customers/account-statements/v1/collection-period
 
200 application/json

The 'cumulus account statement' (Cumulus Kontoauszug).

Rendered account statement (Cumulus Kontoauszug).

get
https://api-qual.migros.ch/migros/customers/account-statements/v1/detail/{cumulus}/{period}

Query Parameters

formatstring

Select HTML or PDF version of account statement.

Allowed values:htmlpdf

Default:html

Example:html

Path Parameters

cumulusintegerrequired

Cumulus Number

>= 2098000000000<= 2099999999999

Example:2099123456789

periodintegerrequired

Collection period/Sammlungsperiode (eg. 20246 for 01.08.2024 to 30.09.2024)

Example:20246

Response

200

receipt as HTML or PDF.

string
get/migros/customers/account-statements/v1/detail/{cumulus}/{period}
 
200

Summary data of a Cumulus Kontoauszug

Provide summary data of a certain account statement (Cumulus Kontoauszug).

get
https://api-qual.migros.ch/migros/customers/account-statements/v1/summary/{cumulus}/{period}

Path Parameters

cumulusintegerrequired

Cumulus Number

>= 2098000000000<= 2099999999999

Example:2099123456789

periodintegerrequired

Collection period/Sammlungsperiode (eg. 20246 for 01.08.2024 to 30.09.2024)

Example:20246

Response

200 application/json

JSON with selected summary data

SummaryResponse

balancePointsnumber

Example:138

payoutCumulusBonsCHFnumber

Example:10

totalAmountCHFnumber

Example:349.26

totalPointsnumber

Example:963

get/migros/customers/account-statements/v1/summary/{cumulus}/{period}
 
200 application/json